import { RPCError } from 'packages/core/rpc/error';

import { Page } from 'app/commons/model';

export interface State {
  error: RPCError | null;
  pending: boolean;
  page: Page | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  page: null,
};
